Gnome Subtitles
===============


1.8 (24/06/22)
==============

- Fixed issues with audio and video playback
- Fixed a crash that occurred when pressing up/down after setting the subtitle start/end
  from the video position
- Replaced the custom gstreamer wrapper with gstreamer-sharp
- Switched to GLibSharp/GtkSharp (https://github.com/GLibSharp/GtkSharp)
- Replaced Autotools with the Meson build system
- Removed the user guide which was outdated

Note to packagers:
- Autotools have been replaced with Meson
- Gtk-sharp libs (from https://github.com/GLibSharp/GtkSharp) are now built and bundled with
  Gnome Subtitles, as gtk-sharp typically available in distros (2.99.x) is not being
  maintained. Packages should no longer depend on the old gtk-sharp.
- Gstreamer-sharp (from https://gitlab.freedesktop.org/gstreamer/gstreamer) is now built and
  bundled with Gnome Subtitles, instead of the previous custom C wrapper.
- See the README.md file for a complete and updated dependency list.

Issues:
- Meson port (#106)
- Error when opening some videos at the same time as the subtitle file (#184)
- Crash at the end of video playback (#189)
- GNOME subtitle crashes when I press a key after changing time (#194)

Translations:
- Alan Mortensen (da)
- Jürgen Benvenuti (de)
- Daniel Mustieles (es)
- Asier Sarasua Garmendia (eu)
- Hugo Carvalho (pt)
- Emin Tufan Çetin (tr)
- Luming Zh (zh_CN)


1.7.2 (01/11/21)
================

- Fixed a crash that occurred in some distros due to missing libdl or dlopen

Issues:
- Version 1.7 does not start on Fedora 35 beta (#185)
- Version 1.7.1 causes an exception in Ubuntu 18.04 (#188)

Translations:
- Daniel Șerbănescu (ro)


1.7.1 (28/10/21)
================

- Fixed a crash that occurred when opening some media files
- Fixed a crash due to missing libdl

Translations:
- Miroslav Nikolić (sr)


1.7 (14/09/21)
==============

- Fixed multiple issues related to audio and video playback
- GStreamer media playback engine rewrite
- Subtitle lines displayed on the video are now immediately refreshed if changed
- Fixed an issue which didn't allow for multiple Gnome Subtitles instances to be running simultaneously
- Fixed an issue which prevented the application from appearing translated/localized
- Fixed an issue with Autocheck Spelling not working immediately when the app is opened
- Help menu items now open correctly
- Improved the Set Languages dialog window with information on how to install additional language packs
- Fixed an issue with the side bar constantly resizing during playback
- Fixed an issue where opening an audio file after a video would show the last frame played from the video
- Added support for Enchant 2 (in addition to Enchant 1 which is still supported)
- Optimization to only save the window state when closing the application
- AppData and Desktop files have been updated

Note to packagers:
- Packages should now depend on Enchant 2 instead of 1 (although 1 is still supported)

Issues:
- Built-in video player stutters (#5)
- Impossible to open a subtitles file via the file manager while Gnome Subtitles is already running (#139)
- Only save the window state when closing the application (#143)
- AppStream warns on insecure URLs (#144)
- Improved message in the Set Languages dialog (#147)
- Translations not being used in 1.6 on Fedora 31 (#149)
- Change Type to Press in help (#150)
- Change "coding" to "encoding" (#151)
- Rename video Length to Duration (#152)
- Add support for Enchant 2 (#153)
- Remove "<application>" from app (#154)
- Side bar resizes itself during video playback (#157)
- Help menu items (links and user guide) are not opening (#159)
- Autocheck Spelling not working when the app is opened (#164)
- Opening an audio file after a video file shows the last frame played from that video (#166)
- Subtitle shown on the video not immediately updated while being edited (#167)
- GStreamer Decoding Error while seeking with some files due to vaapi (#171)
- Unable to open some kinds of audio files (#172)
- Disable VAAPI by default to prevent playback issues (#173)
- GStreamer media playback rewrite (#177)

Translations:
- Jordi Mas (ca)
- Marek Černocký (cs)
- Ask Hjorth Larsen (da)
- Daniel Mustieles, Rodrigo Lledó (es)
- Jiri Grönroos (fi)
- Charles Monzat (fr)
- Balázs Úr (hu)
- Andika Triwidada (id)
- Nathan Follens (nl)
- Piotr Drąg (pl)
- Hugo Carvalho (pt)
- Rafael Fontenelle (pt_BR)
- Daniel Șerbănescu (ro)
- Dušan Kazik (sk)
- Matej Urbančič (sl)
- Miroslav Nikolić (sr)
- Anders Jonsson (sv)
- Emin Tufan Çetin, Sabri Ünal (tr)
- Yuri Chornoivan (uk)
- Dz Chen (zh_CN)

Additional thanks:
- Andre Klapper, Fernando Fernandez, Luz Paz


1.6 (04/09/19)
==============

- Fixed a crash when opening translation files.
- Show all media files (video and audio) by default in the Video File Open dialog.
- UTF-8 files are now saved with a BOM (byte order mark) by default (as happened until version 1.4.2).
  An option has been added to allow saving files in this encoding without a BOM.

Issues:
- Video File Open: show all media files by default (#136)
- Crash when opening translation file (#138)
- Allow to save UTF-8 files with or without a BOM (#140)

Translations:
- Daniel Mustieles (es)
- Asier Sarasua Garmendia (eu)
- Balázs Úr (hu)
- Piotr Drąg (pl)
- Rafael Fontenelle (pt_BR)
- Sabri Ünal (tr)


1.5 (13/06/19)
==============

- Fixed a crash that occurred when using Video > Loop Selection
- Subtitle Split was improved to split every line (previously, it was divided into 2 halves) and only split
  subtitles containing multiple lines
- Fixed a bug where subtitle lines with ampersand (&) and other characters were not being displayed on video playback
- Stopped "source ID not found" messages from being written in the console/logs
- Subtitles displayed on video playback are now properly cleared after closing a subtitle file
- The video image is also now properly cleared after closing the video
- Fixed a couple of bugs that prevented the application from appearing fully translated
- Fixed a bug in the Preferences Dialog where values like Gap Between Subtitles were not being saved when changed via the keyboard
- The application now better integrates with some desktop environments by setting its ApplicationID

Issues:
- Crash in Video > Loop Selection (#124)
- Split improvements: split all lines (previously were split into 2 halves) and only split subtitles with
  multiple lines (#2)
- Undo/Redo in commands with text and translations must consider if the translation was reloaded (#126)
- Preferences Dialog: values like Gap Between Subtitles are not saved when set with the keyboard (#127)
- Syslog full of "source ID not found" (#4)
- Video not showing text with ampersand (#128)
- Clear video subtitle on File Close (#129)
- Video area not cleared after closing it (#130)
- Don't show the video file chooser in the File > Translation Open dialog (#131)
- File Open/Save error dialogs have wrong action set as default (#132)
- Typo (occured) in translatable strings (#94)
- UI in English, expected translated (#125)
- Some strings are displayed untranslated (#91)
- pt_PT translation: multiple letters in upper case when preceded by an underscore (#133)
- Set ApplicationID to use .desktop file (#134)
- App icon is incorrect in alt+tab menu (#118)

Contributors:
- Balló György, Piotr Drąg

Translations:
- Jordi Mas (ca)
- Rodrigo Lledó (es)
- Asier Sarasua Garmendia (eu)
- Balázs Meskó, Balázs Úr (hu)
- Piotr Drąg (pl)
- Daniel Șerbănescu (ro)
- Anders Jonsson (sv)


1.4.2 (18/12/18)
================

- Fixed a bug where the Timings Shift dialog was unable to handle negative shift amounts.
- The byte order mark (BOM) is no longer inserted at the beginning of files saved with UTF-8 encoding.
- Fixed a bug with the Translation Save dialog appearing after cancelling the Subtitle Save dialog.
- Migrated from gnome-doc-utils to yelp-tools (GNOME Goal: Port To New Documentation Infrastructure).
- Updated the website URLs

Note to packagers:
- Dependency change: gnome-doc-utils has been replaced by yelp-tools

Issues:
- Negative time shift not work (#112)
- Don't insert the BOM (byte order mark) when saving files with UTF-8 encoding (#113)

Contributors:
- Andre Klapper
- Piotr Drąg

Translations:
- Marek Černocký (cs)
- Alan Mortensen (da)
- Rodrigo Lledó (es)


1.4.1 (29/08/18)
================

- Fixed a bug which resulted in a system freeze after the application consumed available memory.

Issues:
- System freezes when using v 1.4 (#3)

Translations:
- Marek Cernocky (cs)
- Mario Blättermann (de)
- Guillaume Bernard (fr)
- Sveinn í Felli, Piotr Drąg (is)
- Piotr Drąg (pl)
- Rafael Fontenelle (pt_BR)


1.4 (08/07/18)
==============

- Upgraded to GTK3
- Added support for webm and ogv video files, as well as video file extensions in all caps letters
- Show a confirmation when reloading a translation file with unsaved changes
- Improvements to Timings Shift/Adjust dialogs, which now remain open when applying changes
- Added support for non-standard video framerates, which should now appear correctly in the Timings menu
- Fixed a crash when starting the application with a video file passed as parameter
- Fixed a bug with subtitle headers not being properly saved
- Improved the embedded video playback
- Updated GtkSpell to 3.0

Note to packagers:
- Most dependencies have changed. Please check the README file.

Issues:
- Replace three dots in strings by … (#697193)
- Build system is not parallelisable - "make -j$N" fails (#702271)
- Add .webm and .ogv to the videos file extensions (#702273)
- Crash when running Gnome Subtitles using a relative path as first argument (#702413)
- Will not parse related video file if its extension is: .MP4 (or anything else in capitals) (#723477)
- Please create an AppData file for Gnome Subtitles (#730805)
- Desktop file is untranslatable (#737087)
- Minor Help documentation error (#757614)

Contributors:
- Andrei Dziahel, Shlomi Fish

Translations:
- Samir Ribic (bs)
- Jordi Mas (ca)
- Marek Černocký (cs)
- Joe Hansen (da)
- Mario Blättermann, Simon Linden (de)
- Dimitris Spingos, MarMav, Tom Tryfonidis (el)
- Daniel Mustieles (es)
- Jiri Grönroos, Lasse Liehu, Timo Jyrinki, Ville-Pekka Vainio (fi)
- Fran Diéguez (gl)
- Yosef Or Boczko (he)
- Balázs Úr (hu)
- Sveinn í Felli (is)
- Claudio Arseni (it)
- Piotr Drąg (pl)
- Pedro Albuquerque (pt)
- Bruno Lopes da Silva, Enrico Nicoletto, Fernando Paladini, Rafael Fontenelle (pt_BR)
- Daniel Șerbănescu (ro)
- Dušan Kazik (sk)
- Matej Urbančič (sl)
- Miroslav Nikolić (sr)
- Josef Andersson (sv)
- Muhammet Kara, Necdet Yücel (tr)

Additional thanks:
- Piotr Drąg, Rafael Fontenelle, Richard Hughes


1.3 (29/03/13)
==============

- Allow to set the gap between subtitles, to be used when inserting or splitting subtitles
- Fixed character count when editing text
- Multiple subtitle engine fixes:
  * Fixed parsing and writing (AQTitle, Karaoke Lyrics LRC, MacSUB, MPSub, Panimator, Phoenix Japanimation Society, Sofni, SubCreator 1.x, ViPlay Subtitle File)
  * Fixed output of deciseconds (SubCreator 1.x)
  * Removed extra newline in the output (MacSUB, Phoenix Japanimation Society, Panimator)
  * Fixed bug with multiple lines of text per subtitle (Sofni)
- Switched to GStreamer 1.0
- Fixed Help menu items

Note to packagers (updated dependencies):
- mono i18n all libraries >= 4.0 (language libraries for character codings' support)
- gstreamer >= 1.0
- gstreamer-plugins-base >= 1.0
- gstreamer-x >= 1.0 (gstreamer plugins for x11 video output)

Issues:
- Error opening some types of previously saved files (#643389)
- Fix opening help (#671567)
- Incorrect character count in subtitle edit (#659524)
- Add tunable to set minimum gap between subtitles (#673126)
- Port to GStreamer 1.0 (#694818)
- Dialogs open as separate window (#621475)

Contributors:
- Dominique Leuenberger, György Balló, Keith Madill, Paweł Brzeski

Translations:
- Marek Černocký (cs)
- Joe Hansen (da)
- Efstathios Iosifidis, Mel Argyropoulou, Simos Xenitellis (el)
- Daniel Mustieles (es)
- Alain Lojewski, Bruno Brouard (fr)
- Yaron Shahrabani (he)
- Gabor Kelemen (hu)
- Fran Diéguez, Leandro Regueiro (gl)
- Piotr Drąg, Tomasz Sałaciński (pl)
- Rafael Ferreira (pt_BR)
- Matej Urbančič (sl)
- Miroslav Nikolić (sr)
- Chao-Hsiung Liao (zh_HK, zh_TW)

Additional thanks:
- Santiago


1.2 (21/08/11)
==============

- Support for merging and splitting subtitle lines
- Allow to view character counts in the subtitle list and editing area
- Allow to apply a reaction delay when timing start/end on video playblack
- Video slow and fast motion options
- New shortcuts for quick timings change:
  * Increase/decrease subtitle start time: Ctrl+Plus/Minus (on the numpad)
  * Increase/decrease subtitle end time: Alt+Plus/Minus (on the numpad)
  * Shift subtitles: Shift+Plus/Minus (on the numpad)
- Automatically seek the video when subtitle times are changed, with an option
  to rewind it some milliseconds
- Added support for the Fab Subtitler subtitle format
- Allow to insert a new subtitle at the current video position, applying
  a reaction delay if set
- Other changes:
  * Translation filenames are now based on the original filename plus language
  * Added support for buggy SubRip files that use dots instead of commas
  * Fixed bug with the subtitle overlay not being updated on times change
  * Detect when selecting a video file as the subtitle file
  * Updated preferences dialog with different structure and more options
  * Fixed special characters (<,>,&,etc) not being shown in the subtitle list

Issues:
- Slow and Fast Motion Option (#453469)
- Filenames for new translations (#607227)
- Video file extensions (#607228)
- Opening large files (#607229)
- File close sensitivity (#620776)
- Shift selected lines with Keyboard shortcuts (#621145)
- Makefile - copy libs to build dir (#621943)
- Show the total number of characters while editing subtitles (#625485)
- Support for FAB files (#634230)
- Remove extension from icon in .desktop file (#636766)
- Do not build modules as shared libraries (#636767)
- Crash when inserting new subtitle with no subtitles selected (#638238)
- Apply a Reaction Delay when timing subtitle start/end (#638484)
- Add support for opening buggy SubRip files (#642674)
- Insert subtitle at video position (#648461)
- Merge and split lines (#651958)

Contributors:
- Arx Cruz, Keith Madill, Michał Sawicz, Paweł Brzeski

Translations:
- Joan Duran (ca)
- Marek Černocký, Petr Kovar (cs)
- Joe Hansen, Kenneth Nielsen (da)
- Mario Blättermann (de)
- Daniel Mustieles, Francisco Serrador, Jorge González (es)
- Bruno Brouard (fr)
- Marcos Lans (gl)
- Yaron Shahrabani (he)
- Gabor Kelemen (hu)
- Claudio Arseni (it)
- António Lima (pt)
- Djavan Fagundes, Krix Apolinário, Marco de Freitas (pt_BR)
- Yuri Myasoedov (ru)
- Andrej Žnidaršič, Matej Urbančič (sl)
- Đorđe Vasiljević (sr)
- Daniel Nylander (sv)
- Yinghua Wang (zh_CN)

Additional thanks:
- A. Bhattacharya, A. Dagistanli, D. Leuenberger, Eva C., J. Hogue, V. Untz, P. Drąg, W. Lemberg, Z. Kozak


1.1 (31/10/10)
==============

- New feature for quickly setting times with a single button: pressing sets the
  start time, releasing sets the end time, then moves to the next subtitle
- Periodically backup subtitle files, configurable in the preferences
- New features for video seeking and subtitle selection:
  * Video->Loop Selection - loop the video playback to the selected subtitles
  * Video->Seek to Selection - seek the video to the selected subtitle
  * Video->Select Nearest Subtitle - select the subtitle for the video position
  * Video->Auto Select Subtitle - auto select subtitles as the video is playing
- Changes in the Timings Synchronize dialog:
  * Fixed a bug using the Synchronize All Subtitles option
  * Activating a sync point now seeks to its new time instead of the old one
- Fixed a bug drag-and-dropping files with spaces in their path
- Use ISO-8859-1 as the fallback and default encoding in the File Open list

Issues:
- Automatically select subtitles on video playback (#453220)
- Quick subtitle timing during playback (#547984)
- Periodically backup subtitle files (#565360)
- Subtitle loop (#601195)
- Seek Subtitle->Time; Time->Subtitle with kb shortcut; Follow subs. (#605402)
- Bug in help (#612400)
- Untranslated strings (#619364)
- Crash when shifting selected subtitles (#620027)
- Synchronize timings for all subtitles (#622248)
- Crash when searching backwards (#628427)

Contributors:
- Arx Cruz, Valmir Sena

Translations:
- Carles Ferrando, Joan Duran (ca@valencia)
- Lucas Lommer, Marek Černocký, Petr Kovar (cs)
- Mario Blättermann (de)
- Jorge González (es)
- Bruno Brouard, Claude Paroz (fr)
- Fran Diéguez (gl)
- Yaron Shahrabani (he)
- Gabor Kelemen, Laszlo Csordas (hu)
- A S Alam (pa)
- Piotr Drąg (pl)
- António Lima (pt)
- Daniel Șerbănescu, Lucian Grijincu (ro)
- Andrej Žnidaršič (sl)
- Baris Cicek, Serkan Yılmaz (tr)
- Aron Xu (zh_CN)

Additional thanks:
- A. G. Luz, Carlos Troncoso, Daniel, Gabor Kelemen, Marcin Zajaczkowski


1.0 (18/02/10)
==============

- Added drag-and-drop support for loading subtitle and video files
- Allow to set new options in the preferences:
  * Whether to save the translation when saving subtitles
  * Default and fallback character codings for opening files
  * Default subtitle format, character coding and newline type for saving files
  * Allow to remember the last used settings
- Fixed timings synchronization issue when "Sync All Subtitles" was used
- Activating (double-clicking) a sync point in the synchronization dialog now
  selects the corresponding subtitle and seeks the video to its position
- Allow to edit spinbutton's time text up to millisecond precision
- Wrap the subtitle text to fit the video area
- Changed the default newline type to Windows (CR+LF) to improve compatibility
  with other platforms (including external video players)
- Fixed support for video filenames with special characters
- Fixed bug with the title bar showing the previously loaded file
- Fixed bug with the timings "seek to" dialog not reflecting timing mode changes
- Fixed use of LDADD when building
- Use libtool to produce shared libraries

Issues:
- Set defaultsubtitle format, character coding and newline type in
  preferences (#504656)
- Option to save Translation when saving Subtitles (#511167)
- The ability to manually change "from", "to" and "during" fields (#549060)
- Selecting subtitles in the Synchronize dialog (#585064)
- Ability to open files drag-dropping them onto the window (#585477)
- Use libtool to produce shared libraries (#592784)
- Title app bar shows previous srt played/viewed information (#596355)
- Crash when using video files with special characters (#608631)
- Srt files saved as Unix text (LF) (#609345)
- Window collapses the screen with a large subtitle (#610170)

Contributors:
- Arx Cruz, Ildar Mulyukov, Peter Alfredsen

Translations:
- Alexander Shopov, Svetoslav Stefanov (bg)
- Marek Černocký, Petr Kovar, Rinu (cs)
- Joe Hansen (da)
- Mario Blättermann (de)
- Jorge González (es)
- Antón Méixome, Lois (gl)
- Mark Krapivner (he)
- Claudio Arseni (it)
- Piotr Drąg (pl)
- António Lima (pt)
- Andrej Žnidaršič, Matej Urbančič (sl)
- Daniel Nylander (sv)

Additional thanks:
- A. Luz, Federico, Frederico Camara, ΙΟΑΝΝΗΣ ΜΠΟΥΡΔΑΚΗΣ, Yann Basly


0.9.1 (18/07/09)
================

- Allow to open audio files for subtitling
- Changed the default selection type in the Timings Adjust and Shit dialogs
- Fixed crashes:
  * Opening a video with Frames mode selected
  * Opening the Preferences dialog

Issues:
- Subtitling of audio files (#584795)
- GS crashes when opening subtitles together with a movie (#587097)
- GS crashes on Edit->Preferences (#587100)

Translations:
- Joan Duran (ca)
- Jorge González (es)

Additional thanks:
- Marcin Zajaczkowski, Yannick Warnier

0.9 (21/06/09)
==============

- New interactive Synchronize Timings dialog:
  * Allows to synchronize using multiple sync points
  * Each sync point represents the correct time of a subtitle
  * Shows help message to ease the synchronization task
  * Can synchronize all subtitles based on a set of sync points
- New Seek To dialog that allows to seek the video to a specified time/frame
- More polished user interface, by removing the border relief in video-related
  buttons and decreasing their size
- Allow to close a file without quitting the application (File Close)
- Replace All now replaces translations too, besides the normal subtitle text
- Don't change the timing mode, after saving a file, to reflect the timing mode
  of the subtitle format chosen for saving
- Added Insert and Delete Subtitles toolbar buttons, removed Find and Replace
  from the toolbar
- Added MIME Type association to the SubRip, MPSub, SubStation Alpha and
  MicroDVD subtitle formats
- Improved handling of text formatting tags in SubRip files
- Show Matroska Video files (MKV) when listing video files
- Fixed crash on opening a translation file with no subtitles loaded
- SubLib merged into Gnome Subtitles, making both easier to maintain and package
- Major refactoring of the video playback engine:
  * GStreamer Playbin (code from the FuseMC project) has been incorporated into
    the project source tree
  * Gstreamer Playbin no longer builds as a separate package (no separate dll,
    although the .so lib is still built separately)
  * GStreamer events are now received asynchronously, which means the user
    interface adapts to the video in an asynchronous/non-blocking way
- Fixed some bugs in the video playback engine:
  * Loading a file when the previously loaded file wasn't played
  * Video position not being correctly updated after loading the video and
    before starting playback
- Display an error dialog when the help contents cannot be opened
- Fixed the use of Bug Buddy for bug reporting
- Changes in the project dependencies:
  * Requires gtk, gtk-sharp, glade-sharp and gconf-sharp 2.12 or higher
  * No longer requires gnome-sharp nor sublib

Issues:
- The file with a movie is not always automatically selected (#417975)
- Improvements to selection types in timings dialogs (#430737)
- Add support for viewing and correcting line length (#430961)
- Synchronize subtitles using multiple sync points (#471393)
- Allow to seek to a specified time instant (#504560)
- Configure script doesn't check for gstreamer-plugins-base headers (#520171)
- Make frequently-used menu items accessible in the toolbar (#530833)
- German Translation (#534748)
- Parallel build fails (#534889)
- Crash when trying to open a file (#540009)
- Suboptimal parsing of SRT-file (#552221)
- Strings like 'gtk-cancel' and so should not be translatable (#576197)
- Build error (#577127)

Contributors:
- Arx Cruz, Lucas Lommer

Translations:
- Djihed Afifi (ar)
- Joan Duran (ca)
- Kamil Paral, Lucas Lommer, Petr Kovar, Rinu (cs)
- Joe Hansen, Kristian Kjærgaard (da)
- Felix Braun, Mario Blättermann (de)
- Gabriel Ruiz, Jorge González (es)
- Ilkka Tuohela (fi)
- Luca Ferretti, Simone Oberti (it)
- Kjartan Maraas (nb)
- Yannig Marchegay (oc)
- Piotr Drąg (pl)
- António Lima (pt)
- César Veiga, Fábio Nogueira, Henrique P Machado, Leonardo Ferreira
  Fontenelle (pt_BR)
- Nickolay V. Shmyrev (ru)
- Daniel Nylander (sv)

Additional thanks:
- Adam Dixon, Julian Sikorski, Luciano A. Ferrer, Marcin Zajaczkowski,
  Satoshi Tanabe


0.8 (11/05/08)
==============

- Added spell checking support:
  * Highlights spelling errors while typing
  * Uses Enchant in order to support multiple spell checking backends
  * Allows to spell check subtitles and translation in different languages
- Added support for the following subtitle formats:
  * AQ Title
  * MacSUB
  * Sofni
  * SubCreator 1.x
  * ViPlay Subtitle File
- Allow to show the translation with the video, besides the original subtitles
- Fixed a crash that happened when closing the Encoding Selection dialog
- Improved the auto-detection of subtitle formats
- Do not package SubLib anymore, it should be installed as a package of its own

Issues:
- Spellchecker support (#462317)
- Selecting translation to show on top of movie (#495551)
- Some strings are hard to translate (#510808)
- Crash on close of "Add or remove" encoding dialog (#520804)
- Files are installed with wrong permissions (#524765)

Translations:
- Joan Duran (ca)
- Philip Withnall (en_GB)
- Jorge González (es)
- Ilkka Tuohela (fi)
- Alexandre Imache, Claude Paroz, Frederic Peters, Stéphane Raimbault (fr)
- Yair Hershkovitz (he)
- Yannig Marchegay (oc)
- António Lima (pt)
- Daniel Nylander (sv)

Additional thanks:
- Julian Sikorski, Mathias Brodala, Marcin Zajaczkowski, Nazar Kulyk


0.7.2 (06/01/2008)
==================

- Updated the about dialog
- Fixed some compilation warnings

Translations:
- Djihed Afifi (ar)
- Yannig Marchegay (oc)

Additional thanks:
- Tiago Bortoletto Vaz


0.7.1 (15/12/2007)
==================

- Fixed a bug with compilation failing on 64 bit machines
- Fixed a crasher bug that happened when changing to Frames mode after startup
- Fixed a bug in the man page
- Changed the build libdir to work on 64 bit machines
- Updated translation credits in the About dialog

Issues:
- Doesn't work on F7 64b (#487842)
- Crash on video loading (#500264)
- DllNotFoundException when opening a video file (#503049)

Translations:
- Yannig Marchegay (oc)

Additional thanks:
- Damien Carbery, Karel Hudan, Luciano A. Ferrer, Stanislaw Pitucha,
  Tiago Bortoletto Vaz


0.7 (14/10/2007)
================

- Added GStreamer support for video previewing, replacing MPlayer:
  * Improved seeking precision
  * Fixes crashes with video playback
  * Integrates better with GNOME
- Added support for the following subtitle formats:
  * Adobe Encore DVD
  * DKS Subtitle Format
  * Karaoke Lyrics LRC
  * Karaoke Lyrics VKT
  * Panimator
  * Phoenix Japanimation Society
  * Power DivX
- Added video-related keyboard shortcuts:
  * Play/Pause - Ctrl+P or F5
  * Rewind - Ctrl+K or F6
  * Forward - Ctrl+L or F7
  * Set Subtitle Start - Ctrl+D
  * Set Subtitle End - Ctrl+E
- Display OGG video files in the File and Video Open dialogs
- Different subtitle formats share similar headers, when edited

Issues:
- Integration with GStreamer For Video Previewing (#363412)
- More keyboard shortcuts (#436746)
- Crash when opening a video after an unsuccessful file open (#455923)
- Unable to use the Cyrillic CP1251 encoding (#456535)
- Crash when toggling Play/Pause (#457150)
- Control buttons do not work when movie ends (#457760)
- Crash on Video Rewind (#465233)
- Missing OGG file in open video dialog (#466342)
- pl_PL (Polish) translation and issues (#484231)

Translations:
- Nick Agianniotis (el)
- Ilkka Tuohela (fi)
- Yannig Marchegay (oc)
- Tomasz Sałaciński (pl)
- Raphael Higino (pt_BR)
- Daniel Nylander (sv)

Additional thanks:
- Danail Nedyalkov, Goran Sterjov, Luciano A. Ferrer, Mario Señoranis
  Miguel Filho


0.6 (08/07/2007)
================

- Added support for subtitle translation
- Show the cursor position and the editing mode (INS or OVR) in the status bar
- Improved the undo/redo of text editing, which is now based on words
- Try the remaining encodings when the first fails, on File Open
- Close the save error dialog immediately when accepting to open another file,
  so the error message isn't visible behind
- Use a different way of detecting the system data dir, which works on FreeBSD
- Fixed multiple menu underlines and accelerators
- Use an updated version of the character coding auto-detection library
- Fixed a bug related to searching backwards
- Fixed some errors with the documentation

Issues:
- Translator mode (#387867)
- Write fault on path when using Video (#438947)
- Add an abstract with the role attribute set to "description" (#439274)
- Exception when getting the CurrentFolder in the File Open dialog (#442513)
- Exception when getting the Filename in the File Open dialog (#443061)
- Shift limit was 100 frames in the Shift dialog

Translations:
- Joan Duran (ca)
- Yumkee Lhamo (dz)
- Jorge González, Paulino Padial (es)
- Daniel Nylander (sv)

Additional thanks:
- Marcin Simonides, Thilo Pfennig


0.5.1 (19/05/2007)
==================

- Fixed a bug in the documentation that prevented the compilation from finishing
  when using the latest gnome-doc-utils version

Issues:
- Add an abstract with the role attribute set to "description" (#439274)

Additional thanks:
- Erin Bloom, Marcin Simonides, Thilo Pfennig


0.5 (17/05/2007)
================

- Initial support for internationalization (i18n)
- Initial version of the user manual, written by Erin Bloom
- New option to select the type of newline to be used for saving a file, in the
  SaveAs dialog
- Fixed a crash that happened when loading a video with no subtitles open
- Show an error dialog if errors occur when running the application with a
  subtitle file as argument
- Show an error dialog if errors occur when saving a file
- Improved the text messages in the error dialogs
- Fixed the Time and Frames labels regarding the current video position
- Fixed the transparency of the images in the SetSubtitleStart and
  SetSubtitleEnd buttons
- Use stock items for File Properties, and Video Open and Close
- Fixed underline in Video SetSubtitleEnd, which was conflicting with Rewind

Issues:
- Crash when passing an invalid subtitle as argument (#432233)
- Crash when opening a video with no subtitles loaded (#432635)
- Option to select end line style (unix, windows/dos, mac) (#435606)
- Video menu short cut keys (#436745)
- Exceptions not handled when saving a file (#438446)

Additional thanks:
- Erin Bloom, Luciano Ferrer


0.4 (20/04/2007)
================

- Automatically select the file's character coding in the SaveAs dialog
- Automatically open a video file when running Gnome Subtitles with a subtitle
  file as argument
- Improved Timings Shift dialog:
  * New selection options, allowing to apply the shift to all subtitles, the
    selected subtitles, and the selected subtitle to the first or last subtitles
  * Automatically update the shift value according to the video position,
    allowing to shift a set of subtitles to start at that position
  * Added a button to clear the shift value
- New File Properties dialog, showing the file name, path, character coding,
  subtitle format and timing mode
- Add a "Video" tag to the frame rate of the video, in the Video Framerate
  menu, when opening a video file
- Allow to open a blank subtitle file (showing no errors)
- Use Bug Buddy, the official GNOME bug reporting tool, reverting to the old bug
  reporter if Bug Buddy isn't available
- Added a Man page
- Fixed some bugs related to the GUI not being correctly updated when changing
  the timing mode
- Internal refactoring:
  * Updated to reflect changes in SubLib
  * Better handle documents and their properties
  * Better support changing the timing mode, which fixes some existing bugs
  * Single place for common video-related functionality
  * Ensure dialogs are properly shown, by setting them visible as the last step
    in their creation

Issues:
- Error shown when opening a blank file (#417310)
- Can't load srt subtitles - detected encoding is not supported (#417303)
- MPlayer fails for each second file (#417869)

Additional thanks:
- Marcin Simonides, Marcin Zajaczkowski, Marco Lackovic, Phalanx747,
  Tiago Bortoletto Vaz


0.3 (27/03/2007)
================

- New dialog to add or remove encodings used in File Open/Save
- New Preferences dialog
  * Set whether to automatically choose video files when selecting/opening
    subtitle files
- Video times, rewind and forward now work correctly on locales that use a comma
  as decimal separator (e.g., French, Polish)
- Store the window size on exit and restore it on start
- Removed the shadow that appeared around the video image frame
- Now prints an adequate error message when using an encoding not supported by
  the system
- Properly unselect video file when selecting a folder, in the File Open dialog
- Use "setproctitle" when "prctl" isn't found, so setting the process name also
  works in FreeBSD
- Improved the verbosity level in some error situations

Issues:
- Video loaded with wrong length (#418099)
- "System.FormatException" error during opening video (#421457)
- Quote symbol in path prevents file from opening (#417868)
- Video file is reported as not supported but MPlayer supports it (#417848)
- Video previewing doesn't function correctly (#421883)

Additional thanks:
- Carlos Doki, Malte Skoruppa, Marcin Zajaczkowski, Phalanx747, Rafal Slubowski,
  Sebastian Porta


0.2.1 (13/03/2007)
==================

- Now builds with gtk-sharp 2.8 again
- Added the *.txt pattern to the "All Subtitle Files" filter, in the File Open
  dialog
- Print the stack trace to the console when an unknown exception is found while
  opening a file

Issues:
- Application crashes at exit when MPlayer has already finished (#416895)

Additional thanks:
- Marcin Zajaczkowski


0.2 (07/03/2007)
================

- New built-in video previewing:
  * MPlayer used as the backend
  * Built-in subtitle display
  * Shows the video length and current position
  * Open Video dialog with video file filters
  * Errors shown on video opening, allowing to open another video file
- Doub	le-clicking a subtitle now seeks the video to the subtitle position
- Allow to set the subtitle Start and End timings based on the video position
- Updated the File Open dialog:
  * Allow to select a video file to be opened together with a subtitle file
  * Video file list populated when entering a folder
  * Video file automatically selected if it matches the selected subtitle file
  * Added subtitle format filters
- Updated the Desktop file to use new properties and the correct program icon
- Major refactoring:
  * Main window is now a Gtk.Window instead of a Gnome.App
  * Every dialog and window is now in a separate glade file
  * Widget names reviewed and renamed
  * Derived Command classes are now in separate files
  * Changed uses of "movie" to "video"

Issues:
- App crashes when selection float value with , as a decimal separator (#402201)

Additional thanks:
- Stefan A. Keel (Sak), for the artwork on the new custom icons


0.1 (13/12/2006)
================

- Added find/replace functionality, including searching with regular expressions
- New artwork by Stefan A. Keel (Sak)
- New keyboard shortcuts for the most used features (see list on Help page):
  * Undo - Ctrl+Z
  * Redo - Shift+Ctrl+Z or Ctrl+Y
  * Insert Subtitle Before - Shift+Ctrl+Return
  * Insert Subtitle After - Ctrl+Return
  * Find - Ctrl+F
  * Find Previous - Shift+Ctrl+G or Shift+F3
  * Find Next - Ctrl+G or F3
  * Replace - Ctrl+H
  * Help contents - F1
- Now works with the latest mono and gtk-sharp versions
- Updated the way subtitles are selected, focused and scrolled, should have a
  more natural feel now
- Major global refactoring
- When using "Save As", the current timing mode is updated to that of the new
  subtitle format

Issues:
- Find and Replace option (#363410)
- "Save as" not working (#382278)
- Close button in "About" window does not work (#383797)
- Ctrl+Up/Down now scrolls too besides selecting the previous/next subtitle


0.0.3 (30/10/2006)
==================

- Added Bold, Italic and Underline buttons to the toolbar
- New keyboard shortcuts:
  * Ctrl+B - Toggle Bold style
  * Ctrl+I - Toggle Italic style
  * Ctrl+U - Toggle Underline style
  * Ctrl+PageUp - Select the previous subtitle, when editing a subtitle
  * Ctrl+PageDown - Select the next subtitle, when editing a subtitle
- Added dialog to handle file opening errors
- Improved Save dialog:
  * Selects the subtitle format being used
  * If it's the first save of a file, it selects SubRip or MicroDVD according to
    the timing mode in use
  * Adds the correct extension to the file if the user doesn't insert it
  * Updates the typed extension when changing the subtitle format
- Improved Bug Report Window to include the Gnome Subtitles and SubLib versions
- Improved About dialog
- Updated bug/feature request links to point to the now used GNOME bugzilla
- Changed compiler to use gmcs (C# 2.0) instead of mcs

Issues:
- Frame rate menus not being correctly set when using undo/redo
- Crash at open subtitle (old tracker #1577626)


0.0.2 (06/10/2006)
==================

- Added support for the following subtitle formats:
  * SubViewer 1.0
  * SubViewer 2.0
  * MPlayer
  * MPlayer 2
  * MPSub (both time and frame modes)
  * Sub Station Alpha
  * Advanced Sub Station Alpha
- Added dialog to auto-adjust timings based on the correct times for two
  subtitles/synchronization points
- Added dialog to edit the subtitle file headers
- Fixed crash when using the latest version of Mono (1.1.17.1)
- Use of Gnome's default toolbar style
- Changed the build procedure to bundle SubLib with Gnome Subtitles

Additional thanks:
- Osmo Salomaa

0.0.1 (01/09/2006)
==================

- First release

